Index: api.py
===================================================================
--- api.py	(revision 2427)
+++ api.py	(working copy)
@@ -276,6 +276,19 @@
 			return True
 	return False
 
+def getClipData():
+	"""Receives text from the windows clipboard.
+@returns: Clipboard text
+@rtype: string
+"""
+	text = ""
+	win32clipboard.OpenClipboard()
+	try:
+		text = win32clipboard.GetClipboardData(win32con.CF_UNICODETEXT)
+	finally:
+		win32clipboard.CloseClipboard()
+	return text
+
 def getStatusBar():
 	"""Obtain the status bar for the current foreground object.
 	@return: The status bar object or C{None} if no status bar was found.
Index: appModules/_default.py
===================================================================
--- appModules/_default.py	(revision 2427)
+++ appModules/_default.py	(working copy)
@@ -805,3 +805,14 @@
 		pythonConsole.consoleUI.updateNamespaceSnapshotVars()
 		pythonConsole.activate()
 	script_activatePythonConsole.__doc__ = _("Activates the NVDA Python Console, primarily useful for development")
+
+	def script_speakClipboardText(self,keyPress):
+		text = api.getClipData()
+		if isinstance(text,basestring) and len(text)>0 and not text.isspace():
+			if len(text) < 1024: 
+				speech.speakMessage(text)
+			else:
+				speech.speakMessage(_("The clipboard contains a big portion of text. it is %s characters long") % len(text))
+		else:
+			speech.speakMessage(_("The clipboard is empty"))
+	script_speakClipboardText.__doc__ = _("Speaks the windows clipboard text content without touching it")
\ No newline at end of file
Index: appModules/_default_desktop.kbd
===================================================================
--- appModules/_default_desktop.kbd	(revision 2427)
+++ appModules/_default_desktop.kbd	(working copy)
@@ -79,3 +79,4 @@
 Control+NVDA+z=activatePythonConsole
 extendedDivide=leftMouseClick
 multiply=rightMouseClick
+NVDA+c=speakClipboardText
Index: appModules/_default_laptop.kbd
===================================================================
--- appModules/_default_laptop.kbd	(revision 2427)
+++ appModules/_default_laptop.kbd	(working copy)
@@ -118,4 +118,5 @@
 Control+NVDA+d=activateDocumentFormattingDialog
 Control+NVDA+c=saveConfiguration
 Control+NVDA+r=revertToSavedConfiguration
-Control+NVDA+z=activatePythonConsole
\ No newline at end of file
+Control+NVDA+z=activatePythonConsole
+NVDA+c=speakClipboardText
